Package org.apache.commons.math3.analysis.differentiation

# Interface UnivariateDifferentiableFunction

All Superinterfaces:
  `UnivariateFunction`

All Known Implementing Classes:
  `Acos`, `Acosh`, `Asin`, `Asinh`, `Atan`, `Atanh`, `Cbrt`, `Constant`, `Cos`, `Cosh`, `Exp`, `Expm1`, `Gaussian`, `HarmonicOscillator`, `Identity`, `Inverse`, `Log`, `Log10`, `Log1p`, `Logistic`, `Logit`, `Minus`, `PolynomialFunction`, `PolynomialFunctionNewtonForm`, `PolynomialSplineFunction`, `Power`, `Sigmoid`, `Sin`, `Sinc`, `Sinh`, `Sqrt`, `Tan`, `Tanh`

public interface UnivariateDifferentiableFunction extends UnivariateFunction
Interface for univariate functions derivatives.

This interface represents a simple function which computes both the value and the first derivative of a mathematical function. The derivative is computed with respect to the input variable.

Since:
  3.1
See Also:
  - `UnivariateDifferentiableFunction`
  - `UnivariateFunctionDifferentiator`

## Method Summary

Modifier and Type
Method
Description
`DerivativeStructure`
`value(DerivativeStructure t)`
Simple mathematical function.

### Methods inherited from interface org.apache.commons.math3.analysis.UnivariateFunction

`value`

## Method Details

### value

DerivativeStructure value(DerivativeStructure t) throws DimensionMismatchException
Simple mathematical function.

`UnivariateDifferentiableFunction` classes compute both the value and the first derivative of the function.

Parameters:
  `t` - function input value
Returns:
  function result
Throws:
  `DimensionMismatchException` - if t is inconsistent with the function's free parameters or order